Package org.springframework.core.metrics

# Interface ApplicationStartup

All Known Implementing Classes:
  `FlightRecorderApplicationStartup`

public interface ApplicationStartup
Instruments the application startup phase using `steps`.

The core container and its infrastructure components can use the `ApplicationStartup` to mark steps during the application startup and collect data about the execution context or their processing time.

Since:
  5.3
Author:
  Brian Clozel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ApplicationStartup`
`DEFAULT`
Default "no op" `ApplicationStartup` implementation.

## Method Summary

Modifier and Type
Method
Description
`StartupStep`
`start(String name)`
Create a new step and marks its beginning.

## Field Details

### DEFAULT

static final ApplicationStartup DEFAULT
Default "no op" `ApplicationStartup` implementation.

This variant is designed for minimal overhead and does not record data.

## Method Details

### start

StartupStep start(String name)
Create a new step and marks its beginning.

A step name describes the current action or phase. This technical name should be "." namespaced and can be reused to describe other instances of the same step during application startup.

Parameters:
  `name` - the step name